libnl: Addresses

libnl 3.10.0

Functions
Addresses
Command Line Interface API

## Functions
struct rtnl_addr * | nl_cli_addr_alloc (void)
void | nl_cli_addr_parse_family (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_local (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_dev (struct rtnl_addr *addr, struct nl_cache *link_cache, char *arg)
void | nl_cli_addr_parse_label (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_peer (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_scope (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_broadcast (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_preferred (struct rtnl_addr *addr, char *arg)
void | nl_cli_addr_parse_valid (struct rtnl_addr *addr, char *arg)

## Detailed Description

## Function Documentation

## ◆ nl_cli_addr_alloc()

struct rtnl_addr * nl_cli_addr_alloc | ( | void |  | ) |

Definition at line 18 of file addr.c.

## ◆ nl_cli_addr_parse_family()

void nl_cli_addr_parse_family | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 29 of file addr.c.

## ◆ nl_cli_addr_parse_local()

void nl_cli_addr_parse_local | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 37 of file addr.c.

## ◆ nl_cli_addr_parse_dev()

void nl_cli_addr_parse_dev | ( | struct rtnl_addr * | addr,
|  | struct nl_cache * | link_cache,
|  | char * | arg )

Definition at line 50 of file addr.c.

## ◆ nl_cli_addr_parse_label()

void nl_cli_addr_parse_label | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 61 of file addr.c.

## ◆ nl_cli_addr_parse_peer()

void nl_cli_addr_parse_peer | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 70 of file addr.c.

## ◆ nl_cli_addr_parse_scope()

void nl_cli_addr_parse_scope | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 83 of file addr.c.

## ◆ nl_cli_addr_parse_broadcast()

void nl_cli_addr_parse_broadcast | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 93 of file addr.c.

## ◆ nl_cli_addr_parse_preferred()

void nl_cli_addr_parse_preferred | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 121 of file addr.c.

## ◆ nl_cli_addr_parse_valid()

void nl_cli_addr_parse_valid | ( | struct rtnl_addr * | addr,
|  | char * | arg )

Definition at line 126 of file addr.c.